---
# Gemeinsame Variablen für alle Umgebungen

# Deployment-Variablen
deploy_root: /var/www/michaelschiemer
deploy_public: "{{ deploy_root }}/public"
deploy_user: deploy

# Anwendungsvariablen
app_domain: "{{ hostvars[inventory_hostname]['ansible_host'] | default(inventory_hostname) }}"
project_source: "{{ playbook_dir }}/../.."
project_root: "{{ playbook_dir }}/../.."

# Docker-Compose-Pfad
docker_compose_project_path: "{{ deploy_root }}"
